Bug 1623860 - Octavia python 3.6 support
Summary: Octavia python 3.6 support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-octavia
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: Upstream M3
: 15.0 (Stein)
Assignee: Nir Magnezi
QA Contact: Bruna Bonguardo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-30 10:45 UTC by Bernard Cafarelli
Modified: 2019-09-26 10:46 UTC (History)
6 users (show)

Fixed In Version: openstack-octavia-4.0.2-0.20190618180410.0598806.el8ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:18:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:13 UTC

Description Bernard Cafarelli 2018-08-30 10:45:08 UTC
OpenStack is moving to run under Python 3 by default in community goal:
https://governance.openstack.org/tc/goals/stein/python3-first.html

Octavia should support running under python 3.6, initial identified steps include:
* Switch upstream gates to py3
* Downstream CI python3-based
* RPM packaging
* Local testing (tempest runs, …) with Fedora 28 system

Comment 9 errata-xmlrpc 2019-09-21 11:18:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.